関連コンテンツ

rbenv-default-gems とは

rbenv install したときに指定の gem をインストールするプラグイン。

sstephenson/rbenv-default-gems
https://github.com/sstephenson/rbenv-default-gems

 

rbenv-default-gems のインストール

$ brew install rbenv-default-gems

 

rbenv-default-gems の設定

/usr/local/var/rbenv/default-gems にインストールしたい gem を書く。

$ vi /usr/local/var/rbenv/default-gems
bundler
pry
rbenv-rehash

オフィシャルサイトには ~/.rbenv/default-gems に書くって書いてあるけど、~/.rbenv/default-gems に書いても動作しなかった。

rbenv をインストールしたディレクトリによるのかも。

 

rbenv で ruby 2.1.2 をインストールしてみる

$ rbenv install 2.1.2
Downloading ruby-2.1.2.tar.gz...
-> http://dqw8nmjcqpjn7.cloudfront.net/f22a6447811a81f3c808d1c2a5ce3b5f5f0955c68c9a749182feb425589e6635
Installing ruby-2.1.2...
Installed ruby-2.1.2 to /usr/local/var/rbenv/versions/2.1.2

Fetching: bundler-1.6.3.gem (100%)
Successfully installed bundler-1.6.3
Parsing documentation for bundler-1.6.3
Installing ri documentation for bundler-1.6.3
Done installing documentation for bundler after 4 seconds
1 gem installed
Fetching: coderay-1.1.0.gem (100%)
Successfully installed coderay-1.1.0
Fetching: slop-3.5.0.gem (100%)
Successfully installed slop-3.5.0
Fetching: method_source-0.8.2.gem (100%)
Successfully installed method_source-0.8.2
Fetching: pry-0.10.0.gem (100%)
Successfully installed pry-0.10.0
invalid options: -SNw2
(invalid options are ignored)
Parsing documentation for coderay-1.1.0
Installing ri documentation for coderay-1.1.0
Parsing documentation for method_source-0.8.2
Installing ri documentation for method_source-0.8.2
Parsing documentation for pry-0.10.0
Installing ri documentation for pry-0.10.0
Parsing documentation for slop-3.5.0
Installing ri documentation for slop-3.5.0
Done installing documentation for coderay, method_source, pry, slop after 5 seconds
4 gems installed
Fetching: rbenv-rehash-0.3.gem (100%)
Successfully installed rbenv-rehash-0.3
Parsing documentation for rbenv-rehash-0.3
Installing ri documentation for rbenv-rehash-0.3
Done installing documentation for rbenv-rehash after 0 seconds
1 gem installed

rbenv versions で ruby 2.1.2 がインストールされていることを確認する

$ rbenv versions
  system
  1.9.3-p194
  1.9.3-p484
  2.0.0-p247
  2.0.0-p353
  2.1.0
* 2.1.1 (set by /usr/local/var/rbenv/version)
  2.1.2

2.1.2 がインストールできていることを確認できた。

Ruby のバージョンを切り替える

$ rbenv shell 2.1.2
$ rbenv versions
  system
  1.9.3-p194
  1.9.3-p484
  2.0.0-p247
  2.0.0-p353
  2.1.0
  2.1.1
* 2.1.2 (set by RBENV_VERSION environment variable)

2.1.2 に切り替わったことを確認。

gem list を確認

$ gem list

*** LOCAL GEMS ***

bigdecimal (1.2.4)
bundler (1.6.3)
coderay (1.1.0)
io-console (0.4.2)
json (1.8.1)
method_source (0.8.2)
minitest (4.7.5)
pry (0.10.0)
psych (2.0.5)
rake (10.1.0)
rbenv-rehash (0.3)
rdoc (4.1.0)
slop (3.5.0)
test-unit (2.1.2.0)

bundler、pry、rbenv-rehash がインストールされていることを確認。

 

以上、rbenv-default-gems のインストールメモでした。

 

参考

関連コンテンツ

スポンサーリンク